package fr.alnotz.quaternion;

/**
 * Interface d’étiquette pour tout nombre quaternionique.
 */
public interface IsQuaternion {
    double getS();
    double getI();
    double getJ();
    double getK();
    void setS(double s);
    void setI(double i);
    void setJ(double j);
    void setK(double k);
    IsQuaternion plus(IsQuaternion quaternion);
    IsQuaternion times(IsQuaternion quaternion);
    IsQuaternion conjugate();
    boolean equals(IsQuaternion quaternion);
    String toString();
}
